require 'sinatra/base'
require 'kramdown'

module Servedown
  class App < Sinatra::Base
    get '/' do
      @files = Dir['./**/*.md']
      haml :index
    end

    get '/view' do
      file = params['file']
      if Dir['./**/*.md'].include? file
        text = File.open(file).read
        @html = Kramdown::Document.new(text).to_html
        haml :view
      else
        404
      end
    end
  end
end
